Subject: bug#12735: closed (Re: bug#12735: 24.2.50; gc hangs)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 May 2013 14:39:20 +0000

Your bug report

#12735: 24.2.50; gc hangs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12735: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12735
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12735: 24.2.50; gc hangs
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Wed, 29 May 2013 15:36:46 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Chong Yidong <[email-masked]> writes:
> Christopher Schmidt <[email-masked]> writes:
>
>> I am still able to reproduce this problem (bug? I am pretty sure this
>> is a serious bug!) with the current trunk on GNU/Linux.  I am able to
>> workaround this issue by refactoring the process filter code.
>
> Could you explain what you changed in the code?  It is difficult to
> debug this kind of problem report without a recipe or other details.

I gave the current trunk a try and was not able to reproduce my problem
any more.  I am closing the bug.

        Christopher

Subject: 24.2.50; gc hangs
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Thu, 25 Oct 2012 19:24:07 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 24.2.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10) of
2012-10-25

Sometimes, that is usually after 3 to 20 minutes of Emacs usage, the gc
hangs/loops indefinitely.  The problem only occurs when I run a specific
application for Emacs (ampc).  The problem first occurred after I
refactored some code of this application from timer callbacks to a
process filter.

Here is the backtrace:

Thank you!

        Christopher